<section class="overtime-container">
    <div class="header-label">
        <span class="hr-image">
            <i class="fa fa-clock-o"></i>
        </span>
        <span class="admin-name">Overtime Eligibility</span>
    </div>
    <mat-card>
        <form [formGroup]="overTimeFormGroup" #overtimeForm="ngForm">
            <section class="overtime-content">
                <mat-form-field>
                    <mat-label>Choose option</mat-label>
                    <mat-select name="typeOne" formControlName="typeOne">
                        <mat-option *ngFor="let type of typeOneArray" [value]="type" (click)="updateSelection(type)">
                            {{type}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field *ngIf="overTimeFormGroup.controls['typeOne'].value === 'Grade'">
                    <mat-label>Grade From</mat-label>
                    <mat-select name="fromGrade" formControlName="fromGrade">
                        <mat-option *ngFor="let grade of [6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]"
                            [value]="grade" (click)="validateChanges()">
                            {{grade}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field *ngIf="overTimeFormGroup.controls['typeOne'].value === 'Grade'">
                    <mat-label>Grade To</mat-label>
                    <mat-select name="toGrade" formControlName="toGrade">
                        <mat-option *ngFor="let grade of [6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26]"
                            [value]="grade" (click)="validateChanges()">
                            {{grade}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-form-field *ngIf="overTimeFormGroup.controls['typeOne'].value === 'Employee'">
                    <mat-label>Select employee</mat-label>
                    <mat-select name="employeeId" formControlName="employeeId">
                        <mat-option *ngFor="let employee of employeeList" [value]="employee?.emailAddress">
                            {{employee?.emailAddress}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-checkbox formControlName="eligibility">Eligible</mat-checkbox>
            </section>
            <h6>Overtime Payment Rules</h6>
            <div class="selection-list">
                <ul>
                    <li *ngFor="let selection of selectionArr.controls; let i = index" [formGroup]="selection">
                        <span class="s-no">{{i+1}}</span>
                        <mat-form-field class="sub-list" appearance="standard">
                            <mat-label>Weekdays</mat-label>
                            <input type="text" matInput formControlName="weekdays"
                                (keyup)="validateMonth(i, 'weekdays')" placeholder="Weekdays" required
                                autocomplete="off" />
                        </mat-form-field>
                        <mat-form-field class="sub-list" appearance="standard">
                            <mat-label>Weekends</mat-label>
                            <input type="text" matInput formControlName="weekends"
                                (keyup)="validateMonth(i, 'weekends')" placeholder="Weekends" required
                                autocomplete="off" />
                        </mat-form-field>
                        <mat-form-field class="sub-list" appearance="standard">
                            <mat-label>OverTime Due After</mat-label>
                            <input type="text" matInput formControlName="overTimeDueAfter"
                                (keyup)="validateMonth(i, 'overTimeDueAfter')" placeholder="OverTime Due After"
                                autocomplete="off" />
                            <span class="error" *ngIf="selection.value.error">
                                Entered Overtime due is greater than 48
                            </span>
                        </mat-form-field>
                        <div class="remove-action">
                            <button type="reset" mat-mini-fab class="add-remove-item remove"
                                (click)="removeSelection(i)">-</button>
                        </div>
                    </li>
                </ul>
            </div>
            <div class="add-action">
                <span><button mat-mini-fab (click)="addSelection()">+</button></span> <span class="text-btn">Add
                    Transaction</span>
            </div>
            <h6>Enable Ramadan Working</h6>
            <section class="ramadan-container">
                <mat-form-field>
                    <mat-label>Ramadan Start Date</mat-label>
                    <input matInput readonly (click)="cfdpicker.open()" [matDatepicker]="cfdpicker"
                        formControlName="ramadanStartDate">
                    <mat-datepicker-toggle matSuffix [for]="cfdpicker"></mat-datepicker-toggle>
                    <mat-datepicker #cfdpicker></mat-datepicker>
                </mat-form-field>
                <mat-form-field>
                    <mat-label>Ramadan End Date</mat-label>
                    <input matInput readonly (click)="cfdpicker1.open()" [matDatepicker]="cfdpicker1"
                        formControlName="ramadanEndDate">
                    <mat-datepicker-toggle matSuffix [for]="cfdpicker1"></mat-datepicker-toggle>
                    <mat-datepicker #cfdpicker1></mat-datepicker>
                </mat-form-field>
            </section>
            <div class="button-grp">
                <button class="button button-primary" mat-button
                    [disabled]="!overTimeFormGroup.valid || selectionArr.controls.length === 0 || !overTimeFormGroup.controls['eligibility'].value"
                    (click)="onSubmitForm()">Submit</button>
            </div>
        </form>
    </mat-card>
</section>
<mat-card class="table-container">
    <h6>OverTime History</h6>
    <div class="mat-elevation-z0">
        <table mat-table [dataSource]="dataSource">

            <!-- Payroll Year Column -->
            <ng-container matColumnDef="pk">
                <th mat-header-cell *matHeaderCellDef> Entry ID </th>
                <td mat-cell *matCellDef="let element"> {{element.pk}} </td>
            </ng-container>

            <!-- Process Name Column -->
            <ng-container matColumnDef="employeeId">
                <th mat-header-cell *matHeaderCellDef> Employee Id </th>
                <td mat-cell *matCellDef="let element"> {{element.employeeId ? element.employeeId : '-'}} </td>
            </ng-container>

            <!-- Status Column -->
            <ng-container matColumnDef="fromGrade">
                <th mat-header-cell *matHeaderCellDef> Grade From </th>
                <td mat-cell *matCellDef="let element"> {{element.fromGrade ? element.fromGrade : '-'}} </td>
            </ng-container>

            <!-- Status Column -->
            <ng-container matColumnDef="toGrade">
                <th mat-header-cell *matHeaderCellDef> Grade To </th>
                <td mat-cell *matCellDef="let element"> {{element.toGrade ? element.toGrade : '-'}} </td>
            </ng-container>

            <!-- Status Column -->
            <ng-container matColumnDef="eligibility">
                <th mat-header-cell *matHeaderCellDef> eligibility </th>
                <td mat-cell *matCellDef="let element"> {{element.eligibility ? 'Eligible' : 'Not Eligible'}} </td>
            </ng-container>

            <!-- Status Column -->
            <ng-container matColumnDef="ramadanStartDate">
                <th mat-header-cell *matHeaderCellDef> Ramadan Start Date </th>
                <td mat-cell *matCellDef="let element"> {{element.ramadanStartDate ? element.ramadanStartDate : '-'}} </td>
            </ng-container>

            <ng-container matColumnDef="ramadanEndDate">
                <th mat-header-cell *matHeaderCellDef> Ramadan End Date </th>
                <td mat-cell *matCellDef="let element"> {{element.ramadanEndDate ? element.ramadanEndDate : '-' }} </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>

        <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
    </div>
</mat-card>